Bug 1516994 (CVE-2017-16808) - CVE-2017-16808 tcpdump: heap-based buffer over-read in aoe_print in print-aoe.c and lookup_emem in addrtoname.c
Summary: CVE-2017-16808 tcpdump: heap-based buffer over-read in aoe_print in print-aoe...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-16808
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1516995
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 19:47 UTC by Pedro Sampaio
Modified: 2019-09-29 14:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:32:03 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-11-23 19:47:56 UTC
tcpdump 4.9.2 has a heap-based buffer over-read related to aoe_print in print-aoe.c and lookup_emem in addrtoname.c. 

Upstream bug:

https://github.com/the-tcpdump-group/tcpdump/issues/645

Comment 1 Pedro Sampaio 2017-11-23 19:50:02 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1516995]


Note You need to log in before you can comment on or make changes to this bug.